## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanDefaultParsedSource Class Reference

This is designed to allow a XalanTranfomer object to reuse a parsed document. More...

`#include <XalanDefaultParsedSource.hpp>`

Inheritance diagram for XalanDefaultParsedSource:

[legend]
Collaboration diagram for XalanDefaultParsedSource:

[legend]
List of all members.

## Public Methods

- XalanDefaultParsedSource (const InputSourceType &theInputSource, bool fValidate=false, ErrorHandlerType *theErrorHandler=0, EntityResolverType *theEntityResolver=0, const XalanDOMChar *theExternalSchemaLocation=0, const XalanDOMChar *theExternalNoNamespaceSchemaLocation=0)
- virtual ~XalanDefaultParsedSource ()
- virtual XalanDocument* getDocument () const
    Get a pointer to the XalanDocument instance for the source document. More...
- virtual XalanParsedSourceHelper* createHelper () const
    Create the appropriate XalanParsedSourceHelper instance to use for transforming with the instance. More...
- virtual const XalanDOMString& getURI () const
    Get the URI for the parsed source, if any. More...

## Detailed Description

This is designed to allow a XalanTranfomer object to reuse a parsed document.

## Constructor & Destructor Documentation

XalanDefaultParsedSource::XalanDefaultParsedSource ( | const InputSourceType & theInputSource,
| bool fValidate = false,
| ErrorHandlerType * theErrorHandler = 0,
| EntityResolverType * theEntityResolver = 0,
| const XalanDOMChar * theExternalSchemaLocation = 0,
| const XalanDOMChar * theExternalNoNamespaceSchemaLocation = 0 )

XalanDefaultParsedSource::~XalanDefaultParsedSource ( | )`[virtual]`

## Member Function Documentation

XalanParsedSourceHelper * XalanDefaultParsedSource::createHelper ( | ) const`[virtual]`

| Create the appropriate XalanParsedSourceHelper instance to use for transforming with the instance. The caller is responsible for deleting the object when finished. Returns: A pointer to a XalanParsedSourceHelper instance. Reimplemented from XalanParsedSource.

XalanDocument * XalanDefaultParsedSource::getDocument ( | ) const`[virtual]`

| Get a pointer to the XalanDocument instance for the source document. Returns: A pointer to a XalanDocument instance. Reimplemented from XalanParsedSource.

const XalanDOMString & XalanDefaultParsedSource::getURI ( | ) const`[virtual]`

| Get the URI for the parsed source, if any. use for transforming with the instance. Returns: A const reference to a string containing the URI Reimplemented from XalanParsedSource.

The documentation for this class was generated from the following file:

- XalanDefaultParsedSource.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.